#version 120

uniform sampler2D texture;

void main() {
    // Получаем цвет текущего пикселя
    vec4 color = texture2D(texture, gl_TexCoord[0].st);
    
    // Преобразуем цвет в оттенок серого
    float gray = dot(color.rgb, vec3(0.299, 0.587, 0.114));
    
    // Устанавливаем новый цвет
    gl_FragColor = vec4(vec3(gray), color.a);
}